Subject: Re: linux-next: manual merge of the mmc-uh tree with the sunxi tree

From: Maxime Ripard <[email-masked]>
Date: Wed, 21 Jan 2015 13:12:02 +0100

Hi,

On Wed, Jan 21, 2015 at 12:27:09PM +0100, Ulf Hansson wrote:
> On 20 January 2015 at 04:17, Stephen Rothwell <[email-masked]> wrote:
> > Hi Ulf,
> >
> > Today's linux-next merge of the mmc-uh tree got a conflict in
> > drivers/mmc/host/sunxi-mmc.c between commit 6c09bb851e57 ("mmc: sunxi:
> > Convert MMC driver to the standard clock phase API") from the sunxi
> > tree and commit 776e24c502da ("mmc: sunxi: Removing unused code") from
> > the mmc-uh tree.
> >
> > I fixed it up (the former includes the latter change) and can carry the
> > fix as necessary (no action is required).
> 
> Maxime,
> 
> I can't find the sunxi tree, is it listed in MAINTAINERS?

No, it's not, I should probably add it :)

It is here: https://git.kernel.org/cgit/linux/kernel/git/mripard/linux.git/

> I know I have acked below patch, but that was quite a I while ago. Is
> there any reason to why I can't take it through my mmc tree at this
> point?
> "mmc: sunxi: Convert MMC driver to the standard clock phase API".

It still is needed to preserve bisectability, which is why you acked
it in the first place. Otherwise, you would end up with a build
breakage in the clock tree, because the mmc driver would still use the
removed custom phase functions, and a failing MMC driver in your tree
because the MMC clocks would not have the phase callbacks implemented.

It's a pretty wide window of failure, and especially for the build
breakage, I don't think it would be wise to split these patches.

Maxime

-- 
Maxime Ripard, Free Electrons
Embedded Linux, Kernel and Android engineering
http://free-electrons.com